跳到主要内容

List the Artifacts in the Repository

GET 

/api/v8/repos/:owner/:repo/actions/artifacts

Paginated query of artifacts under the warehouse, supports filtering by name and sorting.

Request​

Path Parameters

    owner stringrequired

    Repository space address (organization or individual's address path)

    repo stringrequired

    Repository path (path)

Query Parameters

    access_token string

    User authorization code

    name string

    Product Name Filter (Fuzzy Match)

    sort string

    Sort field, currently only supports created

    direction string

    Sort direction, asc or desc

    page integer

    Current page number

    Example: 1
    per_page integer

    Number of items per page

    Example: 10

Responses​

Response Headers
    Schema
      total_countinteger

      Total number of products

      artifacts object[]

      Product List

    • Array [
    • idstring

      Product ID

      namestring

      Product Name

      size_bytesinteger

      Size of Product (Bytes)

      workflow_idstring

      Workflow ID

      workflow_run_idstring

      Workflow Run ID

      digeststring

      SHA256 Digest

      expires_atstring

      Expiration time (millisecond timestamp)

      created_atstring

      Create Time (Millisecond Timestamp)

      updated_atstring

      Update Time (millisecond timestamp)

    • ]